Loading...
Searching...
No Matches
Opm::EcfvStencil< Scalar, GridView, needFaceIntegrationPos, needFaceNormal >::SubControlVolume Class Reference

Represents a sub-control volume. More...

`#include <ecfvstencil.hh>`

## Public Member Functions

| SubControlVolume (const Element &element)
void | update (const Element &element)
void | update ()
decltype(auto) | globalPos () const
| The global position associated with the sub-control volume.
decltype(auto) | center () const
| The center of the sub-control volume.
Scalar | volume () const
| The volume [m^3] occupied by the sub-control volume.
const LocalGeometry | geometry () const
| The geometry of the sub-control volume.
const LocalGeometry | localGeometry () const
| Geometry of the sub-control volume relative to parent.

## Detailed Description

template<class Scalar, class GridView, bool needFaceIntegrationPos = true, bool needFaceNormal = true>
class Opm::EcfvStencil< Scalar, GridView, needFaceIntegrationPos, needFaceNormal >::SubControlVolume

Represents a sub-control volume.

For element centered finite volumes, this is equivalent to the element, in the vertex centered finite volume approach, this corresponds to the intersection of a finite volume and the grid element.

The documentation for this class was generated from the following file:

- opm/models/discretization/ecfv/ecfvstencil.hh